load net


sigma=320;

C1l=48000;       %lower bound C1
C1u=63000;      %upper bound C1

ga1l=850;        %lower bound gamma
ga1u=1050;       %upper bound gamma

C2l=2900;       %lower bound C1
C2u=4200;      %upper bound C1

ga2l=32;        %lower bound gamma
ga2u=53;       %upper bound gamma



outLa = [7198.45 7543.75 7762.48 7901.86 7988.35 8035.67];      %output from laboratory (p(u1), p(u2), p(u3), p(u4))

lb = [C1l ga1l C2l ga2l];    %lower bound
ub = [C1u ga1u C2u ga2u];    %upper bound

objectiveFunction = @(netInp)fitness2b(netInp, outLa, net);
nVars = 4;

opts = gaoptimset('PlotFcns', @gaplotbestf,'PopulationSize', 50)%,'SelectionFcn',@selectiontournament);%, 'PopulationSize',100);

[xBest, fBest, exitFlag] = ga(objectiveFunction, nVars, [], [], [], [], lb, ub, [], opts);

