clc
clear
%script for running the simulations

sigma=320;

C1=[48000:(63000-48000)/4:63000];      
ga1=[850:(1050-850)/4:1050];
C2=[2900:(4200-2900)/4:4200];
ga2=[32:(53-32)/4:53];


inp=zeros(225,4);     %input material parameters
counter=1;

for i=1:length(C1)
    for j=1:length(ga1)
        for k=1:length(C2)
            for l=1:length(ga2)
                fileID = fopen('material.py','w');
                fprintf(fileID,'sigma0=%6.1f\n',sigma);
                fprintf(fileID,'C1=%6.1f\n',C1(i));
                fprintf(fileID,'ga1=%6.1f\n',ga1(j));
                fprintf(fileID,'C2=%6.1f\n',C2(k));
                fprintf(fileID,'ga2=%6.1f\n',ga2(l));

                fclose(fileID);    
    
                e1=system(['abaqus cae noGUI=tensiletestLo.py'])
                e2=system(['abaqus cae noGUI=test2.py'])
                
                err(counter)=e1+e2;
    
                delete testspecimen.odb abaqus.rpy;
                inp(counter,1)=C1(i);
                inp(counter,2)=ga1(j);
                inp(counter,3)=C2(k);
                inp(counter,4)=ga2(l);

                counter=counter+1
                
            end
        end
    end
end


